package cn.yw.softwaremanage.service;


import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.yw.softwaremanage.dao.YwsoftwareinfoDao;

@Service("ywsoftwareinfoService")
public class YwsoftwareinfoService extends BaseService {
	
	private static Log log = LogFactory.getLog(YwsoftwareinfoService.class);
	
	@Autowired
	private YwsoftwareinfoDao ywsoftwareinfoDao;
	
	/**
	 * 保存记录
	 */
	
	public void insert_Ywsoftwareinfo(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		ywsoftwareinfoDao.insert_Ywsoftwareinfo(map);
	}
	

	
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywsoftwareinfo(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return ywsoftwareinfoDao.update_Ywsoftwareinfo(map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Ywsoftwareinfo(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return ywsoftwareinfoDao.delete_Ywsoftwareinfo(map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywsoftwareinfo(Map map) throws SQLException{
		return ywsoftwareinfoDao.batch_delete_Ywsoftwareinfo(map);
	}
	
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywsoftwareinfo(Map map) throws SQLException{
		return ywsoftwareinfoDao.count_Ywsoftwareinfo(map);
	}
	
	
	/**
	 * 查询列表记录SELECT
	 */
	
	public List<Map> query_Ywsoftwareinfo(Map map) throws SQLException{
		return ywsoftwareinfoDao.query_Ywsoftwareinfo(map);
	}
	
	
	/**
	 * 查询一条
	 */
	 
	
	public Map get_Ywsoftwareinfo(Map map) throws SQLException{
		return ywsoftwareinfoDao.get_Ywsoftwareinfo(map);
	}
	
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportYwsoftwareinfo(Map map) throws SQLException{
		return this.listYwsoftwareinfoByPage(map);
	}
	*/
	
	/**
	 * Ywsoftwareinfo 分页
	 */
	
	public Map listYwsoftwareinfoByPage(Map map) throws SQLException {
		List<Map> list = ywsoftwareinfoDao.query_Ywsoftwareinfo(map);
		Integer totalCount = ywsoftwareinfoDao.count_Ywsoftwareinfo(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
	// 更新
	public Integer edit_Ywsoftwareinfo(Map map) throws SQLException{
		return ywsoftwareinfoDao.edit_Ywsoftwareinfo(map);
	}
	
}
